## gate
Interface GateConstants

All Known Implementing Classes:
  Gate

public interface GateConstants

Interface used to hold different GATE constants

Field Summary
`static String` `GATE_CONFIG_PROPERTY` The name of the site config property (`gate.config`).
`static String` `GATE_DOT_SER` The name of session state data files (`gate.session`).
`static String` `GATE_DOT_XML` The name of config data files (`gate.xml`).
`static String` `LOOK_AND_FEEL` The look and feel option name
`static String` `MAIN_FRAME_HEIGHT` The key for the main window height
`static String` `MAIN_FRAME_WIDTH` The key for the main window width
`static String` `MENUS_FONT` The key for the font used for menus
`static String` `ORIGINAL_MARKUPS_ANNOT_SET_NAME` The name of the annotation set storing original markups in a document
`static String` `OTHER_COMPONENTS_FONT` The key for the font used for other GUI components
`static String` `SAVE_OPTIONS_ON_EXIT` The key for the save options on exit value
`static String` `SAVE_SESSION_ON_EXIT` The key for the save session on exit value
`static String` `TEXT_COMPONENTS_FONT` The key for the font used for text components

Field Detail

### GATE_DOT_XML

    public static final String GATE_DOT_XML

  The name of config data files (`gate.xml`).

### GATE_DOT_SER

    public static final String GATE_DOT_SER

  The name of session state data files (`gate.session`).

### GATE_CONFIG_PROPERTY

    public static final String GATE_CONFIG_PROPERTY

  The name of the site config property (`gate.config`).

### ORIGINAL_MARKUPS_ANNOT_SET_NAME

    public static final String ORIGINAL_MARKUPS_ANNOT_SET_NAME

  The name of the annotation set storing original markups in a document

### LOOK_AND_FEEL

    public static final String LOOK_AND_FEEL

  The look and feel option name

### TEXT_COMPONENTS_FONT

    public static final String TEXT_COMPONENTS_FONT

  The key for the font used for text components

### MENUS_FONT

    public static final String MENUS_FONT

  The key for the font used for menus

### OTHER_COMPONENTS_FONT

    public static final String OTHER_COMPONENTS_FONT

  The key for the font used for other GUI components

### MAIN_FRAME_WIDTH

    public static final String MAIN_FRAME_WIDTH

  The key for the main window width

### MAIN_FRAME_HEIGHT

    public static final String MAIN_FRAME_HEIGHT

  The key for the main window height

### SAVE_OPTIONS_ON_EXIT

    public static final String SAVE_OPTIONS_ON_EXIT

  The key for the save options on exit value

### SAVE_SESSION_ON_EXIT

    public static final String SAVE_SESSION_ON_EXIT

  The key for the save session on exit value